// naumann@stce.rwth-aachen.de

#pragma once

/**
 * This class implements a pair consisting 
 * of two entries of variable types F and S
 */
template<typename F, typename S>
class pair {
  /// The first entry has type F.
  F f; 
  /// The second entry has type S.
  S s;
public:
  /// The constructor allocates with custom initialization.
  pair(const F&, const S&);
  /// This function prints the two entries to the screen.
  void print() const;
};

#include "pair.cpp"
